 drivers/usb/class/usb-midi.c |    2 +-
 drivers/usb/class/usb-midi.h |    0 
 drivers/usb/misc/emi26.c     |    0 
 drivers/usb/net/kaweth.c     |    2 +-
 drivers/usb/net/usbnet.c     |    8 ++++++--
 5 files changed, 8 insertions(+), 4 deletions(-)

diff -puN drivers/usb/class/usb-midi.c~irqreturn-usb drivers/usb/class/usb-midi.c
--- 25/drivers/usb/class/usb-midi.c~irqreturn-usb	2003-04-21 01:24:49.000000000 -0700
+++ 25-akpm/drivers/usb/class/usb-midi.c	2003-04-21 01:25:41.000000000 -0700
@@ -820,7 +820,7 @@ static int usb_midi_open(struct inode *i
 	struct list_head      *devs, *mdevs;
 	struct usb_midi_state *s;
 	struct usb_mididev    *m;
-	int flags;
+	unsigned long flags;
 	int succeed = 0;
 
 #if 0
diff -puN drivers/usb/class/usb-midi.h~irqreturn-usb drivers/usb/class/usb-midi.h
diff -puN drivers/usb/net/kaweth.c~irqreturn-usb drivers/usb/net/kaweth.c
--- 25/drivers/usb/net/kaweth.c~irqreturn-usb	2003-04-21 01:24:49.000000000 -0700
+++ 25-akpm/drivers/usb/net/kaweth.c	2003-04-21 01:26:37.000000000 -0700
@@ -744,7 +744,7 @@ static int kaweth_start_xmit(struct sk_b
 		}
 	}
 
-	private_header = __skb_push(skb, 2);
+	private_header = (u16 *)__skb_push(skb, 2);
 	*private_header = cpu_to_le16(skb->len-2);
 	kaweth->tx_skb = skb;
 
diff -puN drivers/usb/misc/emi26.c~irqreturn-usb drivers/usb/misc/emi26.c
diff -puN drivers/usb/net/usbnet.c~irqreturn-usb drivers/usb/net/usbnet.c
--- 25/drivers/usb/net/usbnet.c~irqreturn-usb	2003-04-21 01:24:49.000000000 -0700
+++ 25-akpm/drivers/usb/net/usbnet.c	2003-04-21 01:37:16.000000000 -0700
@@ -314,8 +314,12 @@ MODULE_PARM_DESC (msg_level, "Initial me
 			: (in_interrupt () ? "in_interrupt" : "can sleep"))
 
 #ifdef DEBUG
-#define devdbg(usbnet, fmt, arg...) \
-	printk(KERN_DEBUG "%s: " fmt "\n" , (usbnet)->net.name, ## arg)
+#define devdbg(usbnet, fmt, arg...)				\
+	do {							\
+		printk(KERN_DEBUG "%s:", (usbnet)->net.name);	\
+		printk(fmt, ## arg);				\
+		printk("\n");					\
+	} while (0)
 #else
 #define devdbg(usbnet, fmt, arg...) do {} while(0)
 #endif

_
